# FdoPtr< T > Class Template Reference

`#include <Ptr.h>`

List of all members.

## Detailed Description

### template<class T>
class FdoPtr< T >

FdoPtr is smart pointer to FDO objects. It automatically handles the memory management for these objects. In particular it handles the adding and releasing of references on the objects, and their deletion when the last reference is released.

When the FdoPtr goes out of scope, the FDO object that it references is released.

Definition at line 61 of file Ptr.h.

## Public Types
typedef T | _PtrClass
## Public Member Functions
void | Attach (T *p2) throw ()
| Attaches the given object to this FdoPtr. It does not add a reference on the object. However, the object previously referenced by this FdoPtr is released.
bool | CopyTo (T **ppT) throw ()
| Copies this FdoPtr's object to a double pointer. A reference is added to the object.
T * | Detach () throw ()
| Detaches this FdoPtr's object from this FdoPtr. It does not release the object.
| FdoPtr (const FdoPtr< T > &lp) throw ()
| FdoPtr copy constructor. Wraps a new FdoPtr around the object referenced by lp.
| FdoPtr (T *lp) throw ()
| Constructs a FdoPtr around the given object.
| FdoPtr (FdoInt32 nNull) throw ( FdoException *)
| Constructs a FdoPtr that initially points to NULL.
| FdoPtr () throw ()
| Constructs a FdoPtr that initially points to NULL.
T ** | operator & () throw (FdoException *)
| FdoPtr object extractor.
| operator T * () const throw ()
| FdoPtr object extractor.
bool | operator! () const throw ()
| Is Null operator.
T & | operator* () const throw (FdoException *)
| FdoPtr object extractor.
_NoAddRefReleaseOnFdoPtr< T > * | operator-> () const throw (FdoException *)
bool | operator< (T *pT) const throw ()
| Less than operator.
template<class U>
T * | operator= (const FdoPtr< U > &lp) throw ()
| Assignment operator for unmatched smart-pointer types. Assign the given FdoPtr's object to this FdoPtr.
T * | operator= (const FdoPtr< T > &lp) throw ()
| Assignment operator for matching smart-pointer types. Assign the given FdoPtr's object to this FdoPtr.
T * | operator= (T *lp) throw ()
| Assignment operator. Wraps the given object in this FdoPtr.
bool | operator== (T *pT) const throw ()
| Equals operator.
| ~FdoPtr () throw ()
| FdoPtr destructor. If this FdoPtr points to an object then the object is released.
## Public Attributes
T * | p

The documentation for this class was generated from the following file:

- Ptr.h